package com.inspect.resultmain.mapper;

import com.inspect.resultmain.domain.PatrolTaskResultMain;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PatrolTaskResultMainMapper {
    PatrolTaskResultMain selectPatrolTaskResultMainByLineId(Long lineId);

    List<PatrolTaskResultMain> selectPatrolTaskResultMainList(PatrolTaskResultMain resultMain);

    PatrolTaskResultMain selectPatrolTaskResultMainByTaskPatrolledId(@Param("taskPatrolledId") String tasKPatrolledId);

    List<PatrolTaskResultMain> selectPatrolTaskResultMainByTaskPatrolledIds(@Param("taskPatrolledIds") List<String> taskPatrolledIds);

    List<PatrolTaskResultMain> selectPatrolTaskResultMain(PatrolTaskResultMain resultMain);

    String selectUnifiedTaskPatrolledId(PatrolTaskResultMain resultMain);

    int insertPatrolTaskResultMain(PatrolTaskResultMain resultMain);

    int updatePatrolTaskResultMain(PatrolTaskResultMain resultMain);

    int deletePatrolTaskResultMainByLineId(Long lineId);

    int deletePatrolTaskResultMainByLineIds(Long[] lineIds);

    List<PatrolTaskResultMain> selectMainFileStatus(@Param("list") List<String> patrolIds);

    List<Long> selectLineIds(Long lineId);

    List<Long> selectLineIdsByList(@Param("lineIds") List<Long> lineIds);

    PatrolTaskResultMain selectPatrolTaskResultMainOne(String patrolTaskId);
}
